package jrummikub.model;

/**
 * The overall game settings
 */
public class GameSettings {
	private int initialMeldThreshold;

	/**
	 * Creates new GameSettings with default values
	 */
	public GameSettings() {
		initialMeldThreshold = 30;
	}

	/**
	 * Sets the initial meld threshold
	 * 
	 * @param value the value to set
	 */
	public void setInitialMeldThreshold(int value) {
		initialMeldThreshold = value;
	}

	/**
	 * Returns the initial meld threshold
	 * 
	 * @return the threshold
	 */
	public int getInitialMeldThreshold() {
		return initialMeldThreshold;
	}
}
